/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: W2JRLR2009TestImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */
package com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2009;

import com.sun.ts.lib.util.*;
import javax.jws.WebService;

@WebService(
    portName="W2JRLR2009TestPort",
    serviceName="W2JRLR2009TestService",
    targetNamespace="http://w2jrlr2009testservice.org/W2JRLR2009TestService.wsdl",
    wsdlLocation="WEB-INF/wsdl/W2JRLR2009TestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2009.W2JRLR2009Test"
)

public class W2JRLR2009TestImpl implements W2JRLR2009Test {
    public com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2009.IncludedUTF16IntegerResponse echoIncludedUTF16IntegerTest(com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2009.IncludedUTF16IntegerRequest params)  {
     TestUtil.logTrace("UTF-16 test");
     TestUtil.logMsg("value="+params.getBigInteger());
     IncludedUTF16IntegerResponse r = new IncludedUTF16IntegerResponse();
     r.setBigInteger(params.getBigInteger());
     return r;
 }

}
